View Issue Details

IDProjectCategoryView StatusLast Update
0026306LazarusPackagespublic2014-11-13 16:39
ReporterCudaText man Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.2.2 
Target Version1.4Fixed in Version1.3 (SVN) 
Summary0026306: SynEdit: colorize selection only till EOL, not till edge of control
DescriptionMany good editors (Sublime Text, SynWrite, maybe EmEditor, UltraEdit) have this feature by default: colorize with selection BG color only area till end-of-line. Laz Synedit does it till edge of control. For many apps (based on Synedit) option will be good..

Martin Fr. said:
 Add to mantis/bug tracker
 unit SynEditMarkupSelection
 procedure TSynEditMarkupSelection.PrepareMarkupForRow(
TagsNo tags attached.
Fixed in Revision46836
LazTarget1.4
Widgetset
Attached Files

Activities

CudaText man

2014-06-08 18:21

reporter  

im.png (9,616 bytes)   
im.png (9,616 bytes)   

CudaText man

2014-06-08 18:23

reporter   ~0075577

Note. Most editors hilite additional "space char" beyond real EOL (Image attached), to show that selection has CR/LF chars for that selected line.

CudaText man

2014-06-08 22:53

reporter  

tested patch.png (13,681 bytes)   
tested patch.png (13,681 bytes)   

CudaText man

2014-07-03 07:20

reporter  

p1.zip (1,665 bytes)

CudaText man

2014-07-03 07:20

reporter   ~0076028

Full patch,OK?

Vojtech Cihak

2014-07-03 10:42

reporter   ~0076032

Shouldn't this be dependant on "Caret past end of line" option?
I mean,
if that option is true, it should behave like now
if that option is false, it will behave like on the images above.

i didn't see the patch, so sorry if it is already included.

CudaText man

2014-07-03 20:57

reporter   ~0076052

Nope-- it's totally independant opt, so can be both on and off with that option on and off

CudaText man

2014-11-13 00:46

reporter   ~0079122

Any can apply my patch?

Martin Friebe

2014-11-13 16:39

manager   ~0079134

Applied, with changes, please test and close if ok. (Test changes made by me too, please)

Please do not use tabs in patches, indent is space (unless source already has tabs for this)

Please try to avoid unrelated formatting changes (spacing around operators in otherwise unchanged lines)

About increment by 2:
- 1 goes before LogToPhys
- The one for the line end char, is only needed if the line end is selected.
If the selection ends on this line, but past eol, then the line end is not selected.

Issue History

Date Modified Username Field Change
2014-06-08 18:17 CudaText man New Issue
2014-06-08 18:21 CudaText man File Added: im.png
2014-06-08 18:23 CudaText man Note Added: 0075577
2014-06-08 22:53 CudaText man File Added: tested patch.png
2014-06-09 12:04 Martin Friebe Assigned To => Martin Friebe
2014-06-09 12:04 Martin Friebe Status new => assigned
2014-07-03 07:20 CudaText man File Added: p1.zip
2014-07-03 07:20 CudaText man Note Added: 0076028
2014-07-03 10:42 Vojtech Cihak Note Added: 0076032
2014-07-03 20:57 CudaText man Note Added: 0076052
2014-11-13 00:46 CudaText man Note Added: 0079122
2014-11-13 16:39 Martin Friebe Fixed in Revision => 46836
2014-11-13 16:39 Martin Friebe LazTarget => 1.4
2014-11-13 16:39 Martin Friebe Note Added: 0079134
2014-11-13 16:39 Martin Friebe Status assigned => resolved
2014-11-13 16:39 Martin Friebe Fixed in Version => 1.3 (SVN)
2014-11-13 16:39 Martin Friebe Resolution open => fixed
2014-11-13 16:39 Martin Friebe Target Version => 1.4